Rails 安装 sunpot_solr 这个 gem 的时候遇到的问题

chenzhong · 2012年12月14日 · 最后由 chenzhong 回复于 2013年01月21日 · 3609 次阅读

Gem::Package::FormatError: no metadata found in /home/chenzhong/.rvm/gems/ruby-1.9.3-p327/cache/sunspot_solr-1.3.3.gem An error occurred while installing sunspot_solr (1.3.3), and Bundler cannot continue. Make sure that gem install sunspot_solr -v '1.3.3' succeeds before bundling.

估计是你的 bundler 安装的有点问题,你可以试试网上给你说的一些方法咯! $ cd ~/.bundle

$ cat config

BUNDLE_DISABLE_SHARED_GEMS: "1" BUNDLE_WITHOUT: "" BUNDLE_PATH: ~/.bundle 祝你好运!

你安装的时候是什么命令呀 你是 gem install sunspot_solr -v '1.3.3'命令么

gem update --system gem update Check Gemfile in your rails application. Should content:gem install sunspot_solr -v '1.3.3'

Run bundle install again. 看看这个行不行

#3 楼 @smallbug 找到原因了,是因为 1.3.3 这个版本是有问题的,用 1.3.2 即可。谢谢

#4 楼 @chenzhong 能不能具体说下存在什么问题?

#5 楼 @robertyu 不清楚什么意思,上面已经解释了是版本号的问题

需要 登录 后方可回复, 如果你还没有账号请 注册新账号